/**
 * 
 */
package com.atlassian.crucible.plugin.export.exception;

/**
 * Exception subclass that represents an exception handled during the processing
 * of an export of a Crucible review.
 * 
 * @author Ross Rowe
 * 
 */
public class ExportException extends Exception {

	/**
	 * 
	 * @param message
	 */
	public ExportException(String message) {
		super(message);
	}

	/**
	 * 
	 * @param e
	 */
	public ExportException(Exception e) {
		super(e);
	}

	/**
	 * 
	 */
	private static final long serialVersionUID = -3977231578919115947L;

}
