/**
 * 
 */
package com.atlassian.crucible.plugin.export;

import java.util.List;
import java.util.ArrayList;

import com.atlassian.crucible.spi.data.FisheyeReviewItemData;
import com.atlassian.crucible.spi.data.GeneralCommentData;
import com.atlassian.crucible.spi.data.ReviewData;
import com.atlassian.crucible.spi.data.VersionedLineCommentData;

/**
 * @author Ross Rowe
 *
 */
public class CrucibleStubClient implements CrucibleClient {

	private List<GeneralCommentData> generalComments = new ArrayList<GeneralCommentData>();
	private ReviewData reviewData = new ReviewData();
	private FisheyeReviewItemData reviewItemData = new FisheyeReviewItemData();
	private List<VersionedLineCommentData> versionedComments = new ArrayList<VersionedLineCommentData>();

	/* (non-Javadoc)
	 * @see com.atlassian.crucible.plugin.export.CrucibleClient#getGeneralComments(java.lang.String)
	 */
	public List<GeneralCommentData> getGeneralComments(String reviewId) {
		return generalComments;
	}

	/* (non-Javadoc)
	 * @see com.atlassian.crucible.plugin.export.CrucibleClient#getReview(java.lang.String)
	 */
	public ReviewData getReview(String reviewId) {
		return reviewData;
	}

	/* (non-Javadoc)
	 * @see com.atlassian.crucible.plugin.export.CrucibleClient#getReviewItemData(java.lang.String, java.lang.String)
	 */
	public FisheyeReviewItemData getReviewItemData(String reviewId,
			String reviewItemId) {
		return reviewItemData;
	}

	/* (non-Javadoc)
	 * @see com.atlassian.crucible.plugin.export.CrucibleClient#getUserName(java.lang.String)
	 */
	public String getUserName(String userId) {
		return userId;
	}

	/* (non-Javadoc)
	 * @see com.atlassian.crucible.plugin.export.CrucibleClient#getVersionedComments(java.lang.String)
	 */
	public List<VersionedLineCommentData> getVersionedComments(String reviewId) {
		return versionedComments;
	}

	/* (non-Javadoc)
	 * @see com.atlassian.crucible.plugin.export.CrucibleClient#login(java.lang.String, java.lang.String)
	 */
	public String login(String username, String password) {
		return null;
	}

}
